petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetDimension

Return the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetDimension(DM dm, PetscInt *dim)

Not collective Many br

### Input Parameter

dm -The DM Many br

### Output Parameter

dim -The topological dimension Many br

Many br

### See Also

DMSetDimension(), DMCreate()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html